package com.ruoyi.ibs.list.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 cust_dept_user_cmpm
 * 
 * @author ruoyi
 * @date 2025-01-02
 */
public class CustDeptUserCmpm extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 归属支行ID */
    @Excel(name = "归属支行ID")
    private Long deptId;

    /** 归属支行名称 */
    @Excel(name = "归属支行名称")
    private String deptName;

    /** 网点名称 */
    @Excel(name = "网点名称")
    private String outlets;

    /** 网点ID */
    @Excel(name = "网点ID")
    private Long outletsId;

    /** 客户经理ID */
    @Excel(name = "客户经理ID")
    private Long userId;

    /** 客户经理柜员号 */
    @Excel(name = "客户经理柜员号")
    private String userName;

    /** 客户经理名称 */
    @Excel(name = "客户经理名称")
    private String nickName;

    /** 客户号 */
    @Excel(name = "客户号")
    private String custId;

    /** 客户类型：0-个人；1-商户；2-企业 */
    @Excel(name = "客户类型：0-个人；1-商户；2-企业")
    private String custType;

    /** 客户姓名 */
    @Excel(name = "客户姓名")
    private String custName;

    /** 证件号 */
    @Excel(name = "证件号")
    private String custIdc;

    /** 一级产品编号 */
    @Excel(name = "一级产品编号")
    private String codeNoLevel1;

    /** 一级产品码值 */
    @Excel(name = "一级产品码值")
    private String codeValueLevel1;

    /** 二级产品编号 */
    @Excel(name = "二级产品编号")
    private String codeNoLevel2;

    /** 二级产品码值 */
    @Excel(name = "二级产品码值")
    private String codeValueLevel2;

    private String log3;
    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }
    public void setDeptName(String deptName) 
    {
        this.deptName = deptName;
    }

    public String getDeptName() 
    {
        return deptName;
    }
    public void setOutlets(String outlets) 
    {
        this.outlets = outlets;
    }

    public String getOutlets() {
        return outlets;
    }

    public Long getOutletsId() {
        return outletsId;
    }

    public void setOutletsId(Long outletsId) {
        this.outletsId = outletsId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }
    public void setUserName(String userName) 
    {
        this.userName = userName;
    }

    public String getUserName() 
    {
        return userName;
    }
    public void setNickName(String nickName) 
    {
        this.nickName = nickName;
    }

    public String getNickName() 
    {
        return nickName;
    }
    public void setCustId(String custId) 
    {
        this.custId = custId;
    }

    public String getCustId() 
    {
        return custId;
    }
    public void setCustType(String custType) 
    {
        this.custType = custType;
    }

    public String getCustType() 
    {
        return custType;
    }
    public void setCustName(String custName) 
    {
        this.custName = custName;
    }

    public String getCustName() 
    {
        return custName;
    }
    public void setCustIdc(String custIdc) 
    {
        this.custIdc = custIdc;
    }

    public String getCustIdc() 
    {
        return custIdc;
    }
    public void setCodeNoLevel1(String codeNoLevel1) 
    {
        this.codeNoLevel1 = codeNoLevel1;
    }

    public String getCodeNoLevel1() {
        return codeNoLevel1;
    }

    public String getCodeValueLevel1() {
        return codeValueLevel1;
    }

    public void setCodeValueLevel1(String codeValueLevel1) {
        this.codeValueLevel1 = codeValueLevel1;
    }

    public String getCodeNoLevel2() {
        return codeNoLevel2;
    }

    public void setCodeNoLevel2(String codeNoLevel2) {
        this.codeNoLevel2 = codeNoLevel2;
    }

    public String getCodeValueLevel2() {
        return codeValueLevel2;
    }

    public void setCodeValueLevel2(String codeValueLevel2) {
        this.codeValueLevel2 = codeValueLevel2;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("deptId", getDeptId())
            .append("deptName", getDeptName())
            .append("outlets", getOutlets())
            .append("outletsId", getOutletsId())
            .append("userId", getUserId())
            .append("userName", getUserName())
            .append("nickName", getNickName())
            .append("custId", getCustId())
            .append("custType", getCustType())
            .append("custName", getCustName())
            .append("custIdc", getCustIdc())
            .append("codeNoLevel1", getCodeNoLevel1())
            .append("codeValueLevel1", getCodeValueLevel1())
            .append("codeNoLevel2", getCodeNoLevel2())
            .append("codeValueLevel2", getCodeValueLevel2())
            .toString();
    }

    public String getLog3() {
        return log3;
    }

    public void setLog3(String log3) {
        this.log3 = log3;
    }
}
